function [data,data_t]= readdat2;
disp('Function to read data from a file (Hot wire and Pitot Lecture)');
%*******************************************************************
%*******************************************************************
%************************READ DATA**********************************
%*******************************************************************
%*******************************************************************

old=pwd;

[what, where]=uigetfile('*.dat','File to read:');

if ~where;
    
    return
    
else
    cd(where);
end

fid=fopen(what);


headerline=fgetl(fid);
r=headerline;
[s1,r]=strtok(r);
[s2,r]=strtok(r);
[s3,r]=strtok(r);
[s4,r]=strtok(r);
[s5,r]=strtok(r);
fclose(fid);

disp('Column header of the matrix data:');
disp('');
disp([s1 '  ' s2 '' s3 '  ' s4 '  ' s5]);
disp('');
disp('The time series of each sample is stored in data_t')

data=textread(what,'%f','headerlines',1, 'whitespace','\t');
data=reshape(data,4,[])';

what_turb=[what(1:length(what)-4) '-t.dat'];
data_t=textread(what_turb,'%f','headerlines',0, 'whitespace','\t');
data_t=reshape(data_t,[],2*8192);

%*******************************************************************
%*******************************************************************
cd(old);
return